CentOSに 5 EOL 更新

あなたはCentOSのを知っているように 5 EOLがあります (人生の終わり) 3月31日から 2017. これは、以下の非常に興味深い問題につながります:

# yum update
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
 Eg. Invalid release/
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
 Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/extras/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: extras

 

問題は、CentOSのミラーの短いリストです 5 すでに蹴ると直接コンテンツを拒否した後に得られた取得しよう:

# curl 'http://mirrorlist.centos.org/?release=5&arch=i386&repo=os'
Invalid release

 

一般的な全体に分配アップグレード作業サポート正規分布と錫を再インストールするのが最も賢明なアイデア. 残念ながら、私のケースではありません、それはテーブルの上にオプションとして立っていません. だから我々は少しジプシースキームをプレイしていました – 使用を開始します Vaultのミラー. 現時点では完全に明確なクリーチャーと正気ノウハウ, 私は運動の目的ではないすべての更新を受信しません, そしてちょうど私が必要なパッケージをインストールするためにはyumと協力したいです. この目的のために、すべてのミラーリストの変数をコメントアウトし、/etc/yum.repos.d/CentOS-Base.repoでBASEURLを追加. 最後に、私たちはの種類にyumのリポジトリを取得します

[base]
name=CentOS-$releasever - Base
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
baseurl=http://vault.centos.org/5.11/os/i386/
#baseurl=http://mirror.centos.org/centos/$releasever/os/$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5

#released updates
[updates]
name=CentOS-$releasever - Updates
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
baseurl=http://vault.centos.org/5.11/updates/i386/
#baseurl=http://mirror.centos.org/centos/$releasever/updates/$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5

#additional packages that may be useful
[extras]
name=CentOS-$releasever - Extras
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=extras
baseurl=http://vault.centos.org/5.11/extras/i386/
#baseurl=http://mirror.centos.org/centos/$releasever/extras/$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5

最後にきれいなすべてのyumを再生 && yumのアップデート. すべて私たちはスキームを完了し、我々 は安全にすることができますので、エラーを取得せず終了した場合、古いパッケージをインストールします。.

 

返信を残します

あなたのメールアドレスが公開されることはありません. 必須フィールドは、マークされています *

アンチSPAM *